Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Interface Renderer

All Known Implementing Classes:
  AbstractRenderer, CSVRenderer, EmacsRenderer, HTMLRenderer, IDEAJRenderer, PapariTextRenderer, SummaryHTMLRenderer, TextPadRenderer, TextRenderer, VBHTMLRenderer, XMLRenderer, YAHTMLRenderer

public interface Renderer

Method Summary
`java.lang.String` | `render(Report report)`
`void` | `showSuppressedViolations(boolean show)`

Method Detail

### showSuppressedViolations

    public void showSuppressedViolations(boolean show)

### render

    public java.lang.String render(Report report)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.